| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::Gauss Class Reference

Parameters for the Gauss random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Gauss:
[legend]
Collaboration diagram for Rndm::Gauss:
[legend]

## Public Member Functions
| Gauss (double m, double s)
| Standard Constructor. More...
| ~Gauss () override=default
| Standard Destructor. More...
double | mean () const
| Access mean value of the distribution. More...
double | sigma () const
| Access width of the distribution. More...
Gauss * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_mean
| Mean of the Gauss distribution. More...
double | m_sigma
| Sigma of the Gauss distribution. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< Gauss >
| Generator is the friend. More...

## Detailed Description

Parameters for the Gauss random number generation.

Definition at line 23 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Gauss::Gauss | ( | double | m,
|  | double | s
| ) |  |
| inline

Standard Constructor.

Definition at line 35 of file RndmGenerators.h.

35 : IRndmGen::Param( IID_IRndmGauss ), m_mean( m ), m_sigma( s ) {}
IRndmGen::Param
Definition: IRndmGen.h:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:94
Rndm::Gauss::m_mean
double m_mean
Mean of the Gauss distribution.
Definition: RndmGenerators.h:29
Rndm::Gauss::m_sigma
double m_sigma
Sigma of the Gauss distribution.
Definition: RndmGenerators.h:31
gaudirun.s
string s
Definition: gaudirun.py:253

Rndm::Gauss::~Gauss | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Gauss* Rndm::Gauss::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 45 of file RndmGenerators.h.

45 { return new Gauss( m_mean, m_sigma ); }
Rndm::Gauss::Gauss
Gauss(double m, double s)
Standard Constructor.
Definition: RndmGenerators.h:35
Rndm::Gauss::m_mean
double m_mean
Mean of the Gauss distribution.
Definition: RndmGenerators.h:29
Rndm::Gauss::m_sigma
double m_sigma
Sigma of the Gauss distribution.
Definition: RndmGenerators.h:31

double Rndm::Gauss::mean | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 39 of file RndmGenerators.h.

39 { return m_mean; }
Rndm::Gauss::m_mean
double m_mean
Mean of the Gauss distribution.
Definition: RndmGenerators.h:29

double Rndm::Gauss::sigma | ( |  | ) | const
| inline

Access width of the distribution.

Definition at line 41 of file RndmGenerators.h.

41 { return m_sigma; }
Rndm::Gauss::m_sigma
double m_sigma
Sigma of the Gauss distribution.
Definition: RndmGenerators.h:31

static const InterfaceID& Rndm::Gauss::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 43 of file RndmGenerators.h.

43 { return IID_IRndmGauss; }

## Friends And Related Function Documentation

friend class Generator< Gauss >
| friend

Generator is the friend.

Definition at line 27 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Gauss::m_mean
| protected

Mean of the Gauss distribution.

Definition at line 29 of file RndmGenerators.h.

double Rndm::Gauss::m_sigma
| protected

Sigma of the Gauss distribution.

Definition at line 31 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h